-- UC_Light_Policies
-- Author: JNR
--------------------------------------------------------------

-- Policies
--------------------------------------------------------------
UPDATE Policies SET Description='LOC_POLICY_RATIONALISM_DESCRIPTION_JNR_UC_LIGHT' WHERE PolicyType='POLICY_RATIONALISM';
UPDATE Policies SET Description='LOC_POLICY_FREE_MARKET_DESCRIPTION_JNR_UC_LIGHT' WHERE PolicyType='POLICY_FREE_MARKET';
UPDATE Policies SET Description='LOC_POLICY_SIMULTANEUM_DESCRIPTION_JNR_UC_LIGHT' WHERE PolicyType='POLICY_SIMULTANEUM';
UPDATE Policies SET Description='LOC_POLICY_GRAND_OPERA_DESCRIPTION_JNR_UC_LIGHT' WHERE PolicyType='POLICY_GRAND_OPERA';
--------------------------------------------------------------

-- Modifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO Modifiers
		(ModifierId,										ModifierType,											SubjectRequirementSetId)
VALUES	('RATIONALISM_HIGH_ADJACENCY_LIBRARY_JNR',			'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'CAMPUS_HAS_HIGH_ADJACENCY'),
		('RATIONALISM_HIGH_ADJACENCY_UNIVERSITY_JNR',		'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'CAMPUS_HAS_HIGH_ADJACENCY'),
		('RATIONALISM_HIGH_ADJACENCY_RESEARCH_LAB_JNR',		'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'CAMPUS_HAS_HIGH_ADJACENCY'),
		('RATIONALISM_HIGH_POP_LIBRARY_JNR',				'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'CITY_HAS_HIGH_POPULATION'),
		('RATIONALISM_HIGH_POP_UNIVERSITY_JNR',				'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'CITY_HAS_HIGH_POPULATION'),
		('RATIONALISM_HIGH_POP_RESEARCH_LAB_JNR',			'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'CITY_HAS_HIGH_POPULATION'),

		('FREEMARKET_HIGH_ADJACENCY_MARKET_JNR',			'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'COMMERCIAL_HUB_HAS_HIGH_ADJACENCY'),
		('FREEMARKET_HIGH_ADJACENCY_BANK_JNR',				'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'COMMERCIAL_HUB_HAS_HIGH_ADJACENCY'),
		('FREEMARKET_HIGH_ADJACENCY_STOCK_EXCHANGE_JNR',	'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'COMMERCIAL_HUB_HAS_HIGH_ADJACENCY'),
		('FREEMARKET_HIGH_POP_MARKET_JNR',					'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'CITY_HAS_HIGH_POPULATION'),
		('FREEMARKET_HIGH_POP_BANK_JNR',					'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'CITY_HAS_HIGH_POPULATION'),
		('FREEMARKET_HIGH_POP_STOCK_EXCHANGE_JNR',			'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'CITY_HAS_HIGH_POPULATION'),

		('SIMULTANEUM_HIGH_ADJACENCY_SHRINE_JNR',			'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'HOLY_SITE_HAS_HIGH_ADJACENCY'),
		('SIMULTANEUM_HIGH_ADJACENCY_TEMPLE_JNR',			'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'HOLY_SITE_HAS_HIGH_ADJACENCY'),
		('SIMULTANEUM_HIGH_POP_SHRINE_JNR',					'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'CITY_HAS_HIGH_POPULATION'),
		('SIMULTANEUM_HIGH_POP_TEMPLE_JNR',					'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'CITY_HAS_HIGH_POPULATION'),

		('GRANDOPERA_HIGH_ADJACENCY_AMPHITHEATER_JNR',		'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'THEATER_SQUARE_HAS_HIGH_ADJACENCY'),
		('GRANDOPERA_HIGH_ADJACENCY_MUSEUM_ART_JNR',		'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'THEATER_SQUARE_HAS_HIGH_ADJACENCY'),
		('GRANDOPERA_HIGH_ADJACENCY_MUSEUM_ARTIFACT_JNR',	'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'THEATER_SQUARE_HAS_HIGH_ADJACENCY'),
		('GRANDOPERA_HIGH_ADJACENCY_BROADCAST_CENTER_JNR',	'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'THEATER_SQUARE_HAS_HIGH_ADJACENCY'),
		('GRANDOPERA_HIGH_POP_AMPHITHEATER_JNR',			'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'CITY_HAS_HIGH_POPULATION'),
		('GRANDOPERA_HIGH_POP_MUSEUM_ART_JNR',				'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'CITY_HAS_HIGH_POPULATION'),
		('GRANDOPERA_HIGH_POP_MUSEUM_ARTIFACT_JNR',			'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'CITY_HAS_HIGH_POPULATION'),
		('GRANDOPERA_HIGH_POP_BROADCAST_CENTER_JNR',		'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'CITY_HAS_HIGH_POPULATION');

INSERT OR IGNORE INTO Modifiers
		(ModifierId,														ModifierType,											SubjectRequirementSetId)
SELECT	'SIMULTANEUM_HIGH_ADJACENCY_' || SUBSTR(BuildingType,10) || '_JNR',	'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'HOLY_SITE_HAS_HIGH_ADJACENCY'
FROM	Buildings
WHERE	EnabledByReligion=1;

INSERT OR IGNORE INTO Modifiers
		(ModifierId,														ModifierType,											SubjectRequirementSetId)
SELECT	'SIMULTANEUM_HIGH_POP_' || SUBSTR(BuildingType,10) || '_JNR',		'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	'CITY_HAS_HIGH_POPULATION'
FROM	Buildings
WHERE	EnabledByReligion=1;
--------------------------------------------------------------

-- ModifierArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,										Name,			Value)
VALUES	('RATIONALISM_HIGH_ADJACENCY_LIBRARY_JNR',			'BuildingType',	'BUILDING_LIBRARY'),
		('RATIONALISM_HIGH_ADJACENCY_UNIVERSITY_JNR',		'BuildingType',	'BUILDING_UNIVERSITY'),
		('RATIONALISM_HIGH_ADJACENCY_RESEARCH_LAB_JNR',		'BuildingType',	'BUILDING_RESEARCH_LAB'),
		('RATIONALISM_HIGH_ADJACENCY_LIBRARY_JNR',			'YieldType',	'YIELD_SCIENCE'),
		('RATIONALISM_HIGH_ADJACENCY_UNIVERSITY_JNR',		'YieldType',	'YIELD_SCIENCE'),
		('RATIONALISM_HIGH_ADJACENCY_RESEARCH_LAB_JNR',		'YieldType',	'YIELD_SCIENCE'),
		('RATIONALISM_HIGH_ADJACENCY_LIBRARY_JNR',			'Amount',		1),
		('RATIONALISM_HIGH_ADJACENCY_UNIVERSITY_JNR',		'Amount',		1),
		('RATIONALISM_HIGH_ADJACENCY_RESEARCH_LAB_JNR',		'Amount',		1),
		('RATIONALISM_HIGH_POP_LIBRARY_JNR',				'BuildingType',	'BUILDING_LIBRARY'),
		('RATIONALISM_HIGH_POP_UNIVERSITY_JNR',				'BuildingType',	'BUILDING_UNIVERSITY'),
		('RATIONALISM_HIGH_POP_RESEARCH_LAB_JNR',			'BuildingType',	'BUILDING_RESEARCH_LAB'),
		('RATIONALISM_HIGH_POP_LIBRARY_JNR',				'YieldType',	'YIELD_SCIENCE'),
		('RATIONALISM_HIGH_POP_UNIVERSITY_JNR',				'YieldType',	'YIELD_SCIENCE'),
		('RATIONALISM_HIGH_POP_RESEARCH_LAB_JNR',			'YieldType',	'YIELD_SCIENCE'),
		('RATIONALISM_HIGH_POP_LIBRARY_JNR',				'Amount',		1),
		('RATIONALISM_HIGH_POP_UNIVERSITY_JNR',				'Amount',		1),
		('RATIONALISM_HIGH_POP_RESEARCH_LAB_JNR',			'Amount',		1),

		('FREEMARKET_HIGH_ADJACENCY_MARKET_JNR',			'BuildingType',	'BUILDING_MARKET'),
		('FREEMARKET_HIGH_ADJACENCY_BANK_JNR',				'BuildingType',	'BUILDING_BANK'),
		('FREEMARKET_HIGH_ADJACENCY_STOCK_EXCHANGE_JNR',	'BuildingType',	'BUILDING_STOCK_EXCHANGE'),
		('FREEMARKET_HIGH_ADJACENCY_MARKET_JNR',			'YieldType',	'YIELD_GOLD'),
		('FREEMARKET_HIGH_ADJACENCY_BANK_JNR',				'YieldType',	'YIELD_GOLD'),
		('FREEMARKET_HIGH_ADJACENCY_STOCK_EXCHANGE_JNR',	'YieldType',	'YIELD_GOLD'),
		('FREEMARKET_HIGH_ADJACENCY_MARKET_JNR',			'Amount',		2),
		('FREEMARKET_HIGH_ADJACENCY_BANK_JNR',				'Amount',		2),
		('FREEMARKET_HIGH_ADJACENCY_STOCK_EXCHANGE_JNR',	'Amount',		2),
		('FREEMARKET_HIGH_POP_MARKET_JNR',					'BuildingType',	'BUILDING_MARKET'),
		('FREEMARKET_HIGH_POP_BANK_JNR',					'BuildingType',	'BUILDING_BANK'),
		('FREEMARKET_HIGH_POP_STOCK_EXCHANGE_JNR',			'BuildingType',	'BUILDING_STOCK_EXCHANGE'),
		('FREEMARKET_HIGH_POP_MARKET_JNR',					'YieldType',	'YIELD_GOLD'),
		('FREEMARKET_HIGH_POP_BANK_JNR',					'YieldType',	'YIELD_GOLD'),
		('FREEMARKET_HIGH_POP_STOCK_EXCHANGE_JNR',			'YieldType',	'YIELD_GOLD'),
		('FREEMARKET_HIGH_POP_MARKET_JNR',					'Amount',		2),
		('FREEMARKET_HIGH_POP_BANK_JNR',					'Amount',		2),
		('FREEMARKET_HIGH_POP_STOCK_EXCHANGE_JNR',			'Amount',		2),

		('SIMULTANEUM_HIGH_ADJACENCY_SHRINE_JNR',			'BuildingType',	'BUILDING_SHRINE'),
		('SIMULTANEUM_HIGH_ADJACENCY_TEMPLE_JNR',			'BuildingType',	'BUILDING_TEMPLE'),
		('SIMULTANEUM_HIGH_ADJACENCY_SHRINE_JNR',			'YieldType',	'YIELD_FAITH'),
		('SIMULTANEUM_HIGH_ADJACENCY_TEMPLE_JNR',			'YieldType',	'YIELD_FAITH'),
		('SIMULTANEUM_HIGH_ADJACENCY_SHRINE_JNR',			'Amount',		1),
		('SIMULTANEUM_HIGH_ADJACENCY_TEMPLE_JNR',			'Amount',		1),
		('SIMULTANEUM_HIGH_POP_SHRINE_JNR',					'BuildingType',	'BUILDING_SHRINE'),
		('SIMULTANEUM_HIGH_POP_TEMPLE_JNR',					'BuildingType',	'BUILDING_TEMPLE'),
		('SIMULTANEUM_HIGH_POP_SHRINE_JNR',					'YieldType',	'YIELD_FAITH'),
		('SIMULTANEUM_HIGH_POP_TEMPLE_JNR',					'YieldType',	'YIELD_FAITH'),
		('SIMULTANEUM_HIGH_POP_SHRINE_JNR',					'Amount',		1),
		('SIMULTANEUM_HIGH_POP_TEMPLE_JNR',					'Amount',		1),

		('GRANDOPERA_HIGH_ADJACENCY_AMPHITHEATER_JNR',		'BuildingType',	'BUILDING_AMPHITHEATER'),
		('GRANDOPERA_HIGH_ADJACENCY_MUSEUM_ART_JNR',		'BuildingType',	'BUILDING_MUSEUM_ART'),
		('GRANDOPERA_HIGH_ADJACENCY_MUSEUM_ARTIFACT_JNR',	'BuildingType',	'BUILDING_MUSEUM_ARTIFACT'),
		('GRANDOPERA_HIGH_ADJACENCY_BROADCAST_CENTER_JNR',	'BuildingType',	'BUILDING_BROADCAST_CENTER'),
		('GRANDOPERA_HIGH_ADJACENCY_AMPHITHEATER_JNR',		'YieldType',	'YIELD_CULTURE'),
		('GRANDOPERA_HIGH_ADJACENCY_MUSEUM_ART_JNR',		'YieldType',	'YIELD_CULTURE'),
		('GRANDOPERA_HIGH_ADJACENCY_MUSEUM_ARTIFACT_JNR',	'YieldType',	'YIELD_CULTURE'),
		('GRANDOPERA_HIGH_ADJACENCY_BROADCAST_CENTER_JNR',	'YieldType',	'YIELD_CULTURE'),
		('GRANDOPERA_HIGH_ADJACENCY_AMPHITHEATER_JNR',		'Amount',		1),
		('GRANDOPERA_HIGH_ADJACENCY_MUSEUM_ART_JNR',		'Amount',		1),
		('GRANDOPERA_HIGH_ADJACENCY_MUSEUM_ARTIFACT_JNR',	'Amount',		1),
		('GRANDOPERA_HIGH_ADJACENCY_BROADCAST_CENTER_JNR',	'Amount',		1),
		('GRANDOPERA_HIGH_POP_AMPHITHEATER_JNR',			'BuildingType',	'BUILDING_AMPHITHEATER'),
		('GRANDOPERA_HIGH_POP_MUSEUM_ART_JNR',				'BuildingType',	'BUILDING_MUSEUM_ART'),
		('GRANDOPERA_HIGH_POP_MUSEUM_ARTIFACT_JNR',			'BuildingType',	'BUILDING_MUSEUM_ARTIFACT'),
		('GRANDOPERA_HIGH_POP_BROADCAST_CENTER_JNR',		'BuildingType',	'BUILDING_BROADCAST_CENTER'),
		('GRANDOPERA_HIGH_POP_AMPHITHEATER_JNR',			'YieldType',	'YIELD_CULTURE'),
		('GRANDOPERA_HIGH_POP_MUSEUM_ART_JNR',				'YieldType',	'YIELD_CULTURE'),
		('GRANDOPERA_HIGH_POP_MUSEUM_ARTIFACT_JNR',			'YieldType',	'YIELD_CULTURE'),
		('GRANDOPERA_HIGH_POP_BROADCAST_CENTER_JNR',		'YieldType',	'YIELD_CULTURE'),
		('GRANDOPERA_HIGH_POP_AMPHITHEATER_JNR',			'Amount',		1),
		('GRANDOPERA_HIGH_POP_MUSEUM_ART_JNR',				'Amount',		1),
		('GRANDOPERA_HIGH_POP_MUSEUM_ARTIFACT_JNR',			'Amount',		1),
		('GRANDOPERA_HIGH_POP_BROADCAST_CENTER_JNR',		'Amount',		1);

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,														Name,			Value)
SELECT	'SIMULTANEUM_HIGH_ADJACENCY_' || SUBSTR(BuildingType,10) || '_JNR',	'BuildingType',	BuildingType
FROM	Buildings
WHERE	EnabledByReligion=1;

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,														Name,			Value)
SELECT	'SIMULTANEUM_HIGH_ADJACENCY_' || SUBSTR(BuildingType,10) || '_JNR',	'YieldType',	'YIELD_FAITH'
FROM	Buildings
WHERE	EnabledByReligion=1;

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,														Name,			Value)
SELECT	'SIMULTANEUM_HIGH_ADJACENCY_' || SUBSTR(BuildingType,10) || '_JNR',	'Amount',		1
FROM	Buildings
WHERE	EnabledByReligion=1;

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,														Name,			Value)
SELECT	'SIMULTANEUM_HIGH_POP_' || SUBSTR(BuildingType,10) || '_JNR',		'BuildingType',	BuildingType
FROM	Buildings
WHERE	EnabledByReligion=1;

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,														Name,			Value)
SELECT	'SIMULTANEUM_HIGH_POP_' || SUBSTR(BuildingType,10) || '_JNR',		'YieldType',	'YIELD_FAITH'
FROM	Buildings
WHERE	EnabledByReligion=1;

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,														Name,			Value)
SELECT	'SIMULTANEUM_HIGH_POP_' || SUBSTR(BuildingType,10) || '_JNR',		'Amount',		1
FROM	Buildings
WHERE	EnabledByReligion=1;
--------------------------------------------------------------

-- PolicyModifiers
--------------------------------------------------------------
DELETE FROM PolicyModifiers WHERE PolicyType='POLICY_RATIONALISM' AND ModifierId='RATIONALISM_BUILDING_YIELDS_HIGH_ADJACENCY';
DELETE FROM PolicyModifiers WHERE PolicyType='POLICY_RATIONALISM' AND ModifierId='RATIONALISM_BUILDING_YIELDS_HIGH_POP';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'RATIONALISM_HIGH_ADJACENCY_LIBRARY_JNR'			FROM Policies WHERE PolicyType='POLICY_RATIONALISM';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'RATIONALISM_HIGH_ADJACENCY_UNIVERSITY_JNR'			FROM Policies WHERE PolicyType='POLICY_RATIONALISM';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'RATIONALISM_HIGH_ADJACENCY_RESEARCH_LAB_JNR'		FROM Policies WHERE PolicyType='POLICY_RATIONALISM';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'RATIONALISM_HIGH_POP_LIBRARY_JNR'					FROM Policies WHERE PolicyType='POLICY_RATIONALISM';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'RATIONALISM_HIGH_POP_UNIVERSITY_JNR'				FROM Policies WHERE PolicyType='POLICY_RATIONALISM';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'RATIONALISM_HIGH_POP_RESEARCH_LAB_JNR'				FROM Policies WHERE PolicyType='POLICY_RATIONALISM';


DELETE FROM PolicyModifiers WHERE PolicyType='POLICY_FREE_MARKET' AND ModifierId='FREEMARKET_BUILDING_YIELDS_HIGH_ADJACENCY';
DELETE FROM PolicyModifiers WHERE PolicyType='POLICY_FREE_MARKET' AND ModifierId='FREEMARKET_BUILDING_YIELDS_HIGH_POP';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'FREEMARKET_HIGH_ADJACENCY_MARKET_JNR'				FROM Policies WHERE PolicyType='POLICY_FREE_MARKET';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'FREEMARKET_HIGH_ADJACENCY_BANK_JNR'				FROM Policies WHERE PolicyType='POLICY_FREE_MARKET';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'FREEMARKET_HIGH_ADJACENCY_STOCK_EXCHANGE_JNR'		FROM Policies WHERE PolicyType='POLICY_FREE_MARKET';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'FREEMARKET_HIGH_POP_MARKET_JNR'					FROM Policies WHERE PolicyType='POLICY_FREE_MARKET';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'FREEMARKET_HIGH_POP_BANK_JNR'						FROM Policies WHERE PolicyType='POLICY_FREE_MARKET';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'FREEMARKET_HIGH_POP_STOCK_EXCHANGE_JNR'			FROM Policies WHERE PolicyType='POLICY_FREE_MARKET';


DELETE FROM PolicyModifiers WHERE PolicyType='POLICY_SIMULTANEUM' AND ModifierId='SIMULTANEUM_BUILDING_YIELDS_HIGH_ADJACENCY';
DELETE FROM PolicyModifiers WHERE PolicyType='POLICY_SIMULTANEUM' AND ModifierId='SIMULTANEUM_BUILDING_YIELDS_HIGH_POP';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'SIMULTANEUM_HIGH_ADJACENCY_SHRINE_JNR'				FROM Policies WHERE PolicyType='POLICY_SIMULTANEUM';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'SIMULTANEUM_HIGH_ADJACENCY_TEMPLE_JNR'				FROM Policies WHERE PolicyType='POLICY_SIMULTANEUM';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'SIMULTANEUM_HIGH_POP_SHRINE_JNR'					FROM Policies WHERE PolicyType='POLICY_SIMULTANEUM';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'SIMULTANEUM_HIGH_POP_TEMPLE_JNR'					FROM Policies WHERE PolicyType='POLICY_SIMULTANEUM';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	a.PolicyType,	'SIMULTANEUM_HIGH_ADJACENCY_' || SUBSTR(b.BuildingType,10) || '_JNR'
FROM	Policies a, Buildings b WHERE a.PolicyType='POLICY_SIMULTANEUM' AND b.EnabledByReligion=1;

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	a.PolicyType,	'SIMULTANEUM_HIGH_POP_' || SUBSTR(b.BuildingType,10) || '_JNR'
FROM	Policies a, Buildings b WHERE a.PolicyType='POLICY_SIMULTANEUM' AND b.EnabledByReligion=1;


DELETE FROM PolicyModifiers WHERE PolicyType='POLICY_GRAND_OPERA' AND ModifierId='GRANDOPERA_BUILDING_YIELDS_HIGH_ADJACENCY';
DELETE FROM PolicyModifiers WHERE PolicyType='POLICY_GRAND_OPERA' AND ModifierId='GRANDOPERA_BUILDING_YIELDS_HIGH_POP';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'GRANDOPERA_HIGH_ADJACENCY_AMPHITHEATER_JNR'		FROM Policies WHERE PolicyType='POLICY_GRAND_OPERA';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'GRANDOPERA_HIGH_ADJACENCY_MUSEUM_ART_JNR'			FROM Policies WHERE PolicyType='POLICY_GRAND_OPERA';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'GRANDOPERA_HIGH_ADJACENCY_MUSEUM_ARTIFACT_JNR'		FROM Policies WHERE PolicyType='POLICY_GRAND_OPERA';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'GRANDOPERA_HIGH_ADJACENCY_BROADCAST_CENTER_JNR'	FROM Policies WHERE PolicyType='POLICY_GRAND_OPERA';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'GRANDOPERA_HIGH_POP_AMPHITHEATER_JNR'				FROM Policies WHERE PolicyType='POLICY_GRAND_OPERA';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'GRANDOPERA_HIGH_POP_MUSEUM_ART_JNR'				FROM Policies WHERE PolicyType='POLICY_GRAND_OPERA';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'GRANDOPERA_HIGH_POP_MUSEUM_ARTIFACT_JNR'			FROM Policies WHERE PolicyType='POLICY_GRAND_OPERA';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'GRANDOPERA_HIGH_POP_BROADCAST_CENTER_JNR'			FROM Policies WHERE PolicyType='POLICY_GRAND_OPERA';
--------------------------------------------------------------